{ pkgs, nix-vscode-extensions, ... }: {
  home-manager.users.coded.programs.vscode = {
    enable = true;
    enableUpdateCheck = false;
    userSettings = {
        "files.autoSave" = "off";
        "explorer.confirmDelete" = false;
        "files.autoSaveDelay" = 5000;
        "workbench.iconTheme" = "catppuccin-macchiato";
        "terminal.integrated.defaultProfile.linux" = "zsh";
        "workbench.startupEditor" = "none";
        "workbench.colorTheme" = "Catppuccin Macchiato";
        "explorer.confirmDragAndDrop" = false;
        "typescript.updateImportsOnFileMove.enabled" = "always";
        "javascript.updateImportsOnFileMove.enabled" = "always";
        "terminal.integrated.enableMultiLinePasteWarning" = false;
        "liveshare.languages.allowGuestCommandControl" = true;
    };
    extensions =
      [
        pkgs.vscode-extensions.ms-vsliveshare.vsliveshare
        pkgs.vscode-extensions.codezombiech.gitignore
        pkgs.vscode-extensions.editorconfig.editorconfig
        pkgs.vscode-extensions.zhuangtongfa.material-theme
        pkgs.vscode-extensions.bbenoist.nix
      ] ++ pkgs.vscode-utils.extensionsFromVscodeMarketplace [{
        name = "helium-icon-theme";
        publisher = "helgardrichard";
        version = "1.0.0";
        sha256 = "sha256-uSApuTXQgvPiJpBL91d3mX35Sa2l2vLIAFpBo+cZ4h4=";
      }];
  };
}
